int error_new_context(char *title);
void error_push(int context, char *msg);
struct errchain *error_chain_by_context(int q);
void error_flush(int context);
void error_popup(char *title, char *message);

/* errorchain debug stuff */
void test_errors(void);

#define MAX_ERRTITLE_SIZE   128
#define MAX_ERRMSG_SIZE     256

struct errmsgs {
     char msg[MAX_ERRMSG_SIZE];
     struct errmsgs *next;
};

struct errchain {
     int context;
     char title[MAX_ERRTITLE_SIZE];
     struct errmsgs *msgs;
     struct errchain *next;
};

