#include <stdlib.h>


#ifdef DEBUG

#define MALLOC(size, msg)         gq_malloc(size, msg)
#define FREE(mem, msg)            gq_free(mem, msg)

#else

#define MALLOC(size, msg)         malloc(size)
#define FREE(mem, msg)            free(mem)

#endif


void *gq_malloc(size_t size, char *msg);
void gq_free(void *mem, char *msg);
void report_num_mallocs(void);
void dump_ldapservers(void);

