/* maximum length of all values for an attribute */
#define MAX_ALLVALUES_LEN   1024
#define MAX_VALS_PER_ATTR    128

#define NO_RESULTS_MSG    "No attributes were returned.\n" \
                          "Did you define an objectclass for this entry?"

/* rebuild_edit_table flags */
#define ADD_NEW_ROW   1
#define MAKE_LINE     2
#define MAKE_TEXTAREA 3

struct attrs {
     char name[128];
     int column;
     struct attrs *next;
};


struct transform_types {
     int num;
     char string[20];
};

struct oc {
     char name[128];
     struct oc *next;
};


void view_entry(struct resultset *set);
void edit_entry_values(struct resultset *set);
void edit_entry_novalues(struct resultset *set);
void edit_entry_table(GtkWidget *target_vbox, struct ldapserver *server,
		      char *dn, int show_values);
GtkWidget *gq_new_arrowbutton(GtkWidget *window);
void edit_entry_ok_callback(GtkWidget *table);
void edit_arrowbutton_callback(GtkWidget *arrowbutton);
void rebuild_edit_table(GtkWidget *table, GtkWidget *button);
GtkWidget *widget_by_coord(GList *children, int x, int y);
void delete_entry(struct resultset *set);


