#define DETAIL_HORIZ_PADDING  5
#define DETAIL_VERT_PADDING  10

struct resultset {
     char dn[MAX_DN_LEN];
     struct oc *objectclass;
     struct attrs *attributes;
     int num_attributes;
     struct resultset *next;
};


void free_resultset(struct resultset *set);
struct resultset *new_resultset(void);

int new_attr(char *attr);
struct attrs *find_attr(char *attr);
int column_by_attr(char *attribute);
void free_cur_attrs(void);

void results_popup_menu(GdkEventButton *event, struct resultset *set);
int select_entry_callback(GtkWidget *clist, gint row, gint column,
			   GdkEventButton *event, gpointer data);
int unselect_entry_callback(GtkWidget *clist, gint row, gint column,
			   GdkEventButton *event, gpointer data);


struct ldapserver *server_by_name(char *name);
void statusbar_msg(char *message);
void query(char *querystring);
